org.apache.geode.cache.configuration

## Class ServerType.ClientSubscription

- java.lang.Object
- - org.apache.geode.cache.configuration.ServerType.ClientSubscription

- Enclosing class:
    ServerType

      public static class ServerType.ClientSubscription
      extends java.lang.Object

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="eviction-policy" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="entry"/>
                   <enumeration value="mem"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="capacity" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="overflow-directory" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `capacity`
    `protected java.lang.String` | `diskStoreName`
    `protected java.lang.String` | `evictionPolicy`
    `protected java.lang.String` | `overflowDirectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSubscription()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCapacity()` Gets the value of the capacity property.
    `java.lang.String` | `getDiskStoreName()` Gets the value of the diskStoreName property.
    `java.lang.String` | `getEvictionPolicy()` Gets the value of the evictionPolicy property.
    `java.lang.String` | `getOverflowDirectory()` Gets the value of the overflowDirectory property.
    `void` | `setCapacity(java.lang.String value)` Sets the value of the capacity property.
    `void` | `setDiskStoreName(java.lang.String value)` Sets the value of the diskStoreName property.
    `void` | `setEvictionPolicy(java.lang.String value)` Sets the value of the evictionPolicy property.
    `void` | `setOverflowDirectory(java.lang.String value)` Sets the value of the overflowDirectory property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### evictionPolicy

          protected java.lang.String evictionPolicy

    - #### capacity

          protected java.lang.String capacity

    - #### diskStoreName

          protected java.lang.String diskStoreName

    - #### overflowDirectory

          protected java.lang.String overflowDirectory

  - ### Constructor Detail

    - #### ClientSubscription

          public ClientSubscription()

  - ### Method Detail

    - #### getEvictionPolicy

          public java.lang.String getEvictionPolicy()

      Gets the value of the evictionPolicy property.
      Returns:
        possible object is `String`

    - #### setEvictionPolicy

          public void setEvictionPolicy(java.lang.String value)

      Sets the value of the evictionPolicy property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCapacity

          public java.lang.String getCapacity()

      Gets the value of the capacity property.
      Returns:
        possible object is `String`

    - #### setCapacity

          public void setCapacity(java.lang.String value)

      Sets the value of the capacity property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDiskStoreName

          public java.lang.String getDiskStoreName()

      Gets the value of the diskStoreName property.
      Returns:
        possible object is `String`

    - #### setDiskStoreName

          public void setDiskStoreName(java.lang.String value)

      Sets the value of the diskStoreName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getOverflowDirectory

          public java.lang.String getOverflowDirectory()

      Gets the value of the overflowDirectory property.
      Returns:
        possible object is `String`

    - #### setOverflowDirectory

          public void setOverflowDirectory(java.lang.String value)

      Sets the value of the overflowDirectory property.
      Parameters:
        `value` - allowed object is `String`